Bug 124401 - Fail to open X system on ASUS M52C6
Fail to open X system on ASUS M52C6
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: XFree86 (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks: 143641
  Show dependency treegraph
 
Reported: 2004-05-26 07:32 EDT by liyuan
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-15 06:45:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description liyuan 2004-05-26 07:32:36 EDT
Description of problem:
Dear sir...

When I complete installed RH AS3 X86,and set 'boot into Xwindow'.
It becomes no screen...
All I can do is press Ctrl+Alt+Del  to force it reboot..
My Hardware is ASUS M52C6 (Centrino banias 1.6G ,Intel 855GME 
chipset ,256M DDR-ram ,60G HDD)
I only can run in text mode (init 3).
And I can't run 'redhat-config-xfree86' ,it's also load into a green 
screen...
I try to update XFree86-4.4.0 from XFree86.org.
It's ok to open X with Twn,but can't open 'GNOME' or 'KDE'.
So,Could you help me to solve this?
By the way,should I list some file ,ex..XFree86config ?!

Thanks a lot.....
Liyuan

Version-Release number of selected component (if applicable):
XFree86-4.3.0-35.EL

How reproducible:
every time..

Steps to Reproduce:
1.just install AS3.0 on ASUS M52C6..
2.
3.
  
Actual results:


Expected results:


Additional info:

There is no error message in /var/log/XFree86.*.log 
or /var/log/XFree86.setup.log .
Here is my /etc/X11/XFree86config....
# XFree86 4 configuration created by redhat-config-xfree86

Section "ServerLayout"
	Identifier     "Default Layout"
	Screen      0  "Screen0" 0 0
	InputDevice    "Mouse0" "CorePointer"
	InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "Files"

# RgbPath is the location of the RGB database.  Note, this is the 
name of the 
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.
# Multiple FontPath entries are allowed (they are concatenated 
together)
# By default, Red Hat 6.0 and later now use a font server independent 
of
# the X server to render fonts.
	RgbPath      "/usr/X11R6/lib/X11/rgb"
	FontPath     "unix/:7100"
EndSection

Section "Module"
	Load  "dbe"
	Load  "extmod"
	Load  "fbdevhw"
	Load  "glx"
	Load  "record"
	Load  "freetype"
	Load  "type1"
	Load  "dri"
EndSection

Section "InputDevice"

# Specify which keyboard LEDs can be user-controlled (eg, with xset
(1))
#	Option	"Xleds"		"1 2 3"
# To disable the XKEYBOARD extension, uncomment XkbDisable.
#	Option	"XkbDisable"
# To customise the XKB settings to suit your keyboard, modify the
# lines below (which are the defaults).  For example, for a non-U.S.
# keyboard, you will probably want to use:
#	Option	"XkbModel"	"pc102"
# If you have a US Microsoft Natural keyboard, you can use:
#	Option	"XkbModel"	"microsoft"
#
# Then to change the language, change the Layout setting.
# For example, a german layout can be obtained with:
#	Option	"XkbLayout"	"de"
# or:
#	Option	"XkbLayout"	"de"
#	Option	"XkbVariant"	"nodeadkeys"
#
# If you'd like to switch the positions of your capslock and
# control keys, use:
#	Option	"XkbOptions"	"ctrl:swapcaps"
# Or if you just want both to be control, use:
#	Option	"XkbOptions"	"ctrl:nocaps"
#
	Identifier  "Keyboard0"
	Driver      "keyboard"
	Option	    "XkbRules" "xfree86"
	Option	    "XkbModel" "pc105"
	Option	    "XkbLayout" "us"
EndSection

Section "InputDevice"
	Identifier  "Mouse0"
	Driver      "mouse"
	Option	    "Protocol" "IMPS/2"
	Option	    "Device" "/dev/input/mice"
	Option	    "ZAxisMapping" "4 5"
	Option	    "Emulate3Buttons" "no"
EndSection

Section "InputDevice"

# If the normal CorePointer mouse is not a USB mouse then
# this input device can be used in AlwaysCore mode to let you
# also use USB mice at the same time.
	Identifier  "DevInputMice"
	Driver      "mouse"
	Option	    "Protocol" "IMPS/2"
	Option	    "Device" "/dev/input/mice"
	Option	    "ZAxisMapping" "4 5"
	Option	    "Emulate3Buttons" "no"
EndSection

Section "Monitor"

	Identifier   "Monitor0"
	VendorName   "Monitor Vendor"
	ModelName    "0"
	HorizSync    31.5 - 48.5
	VertRefresh  40.0 - 70.0
	Option	    "DPMS"
EndSection

Section "Device"

	Identifier  "Videocard0"
	Driver      "i810"
	VendorName  "Videocard vendor"
	BoardName   "Intel 852"
	Option	    "DisplayInfo" "FALSE"
	BusID       "PCI:0:2:0"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "Videocard0"
	Monitor    "Monitor0"
	DefaultDepth     24
	SubSection "Display"
		Depth     24
		Modes    "1024x768" "800x600" "640x480"
	EndSubSection
EndSection

Section "DRI"
	Group        0
	Mode         0666
EndSection
Comment 1 Suzanne Hillman 2004-05-26 10:24:34 EDT
If you have an up to date entitlement, you might be better off going
through our support system in order to get help with this.

https://www.redhat.com/apps/support/
Comment 4 Mike A. Harris 2005-04-15 06:45:46 EDT
Please uninstall XFree86 4.4.0 (unsupported) and reinstall XFree86 as supplied
with RHEL3.  Once you've done this, please update to the latest official
kernel and XFree86 errata that we have released for RHEL3.  If the problem
still exists in the latest updates, you will need to contact Red Hat Global
Support services at https://www.redhat.com/apps/support or via telephone
at 1-888-REDHAT1 for technical support.

Thanks in advance.

Setting status to "ERRATA"

Note You need to log in before you can comment on or make changes to this bug.